Bug 215369 - pppd doest not fill default gateway address
pppd doest not fill default gateway address
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Skala
Depends On:
  Show dependency treegraph
Reported: 2006-11-13 13:16 EST by Marek Greško
Modified: 2014-11-09 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:01:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marek Greško 2006-11-13 13:16:11 EST
Description of problem:
pppd with defaultroute option does not fill default gateway address.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Get ppp link up.
2. Run route -n
3. Default gateway address is
Actual results:
Default gateway address is

Expected results:
Default gatwway address is set to remote peer.

Additional info:
This could seem as it is not a bug since the routing works OK (the routing
interface is OK). But there are some applications that relay on correctly filled
gateway address. E. g. openswan.
Comment 1 Marek Greško 2006-11-14 05:02:26 EST
If this is consistent with RFC's I consider it not to be a bug. This situation
can be handled by openswan. I will send a patch request to openswan package.
Comment 2 Thomas Woerner 2006-11-14 05:44:04 EST
pppd sets the defaultroute to the peer if you add defaultroute to the options.
Is defaultroute used for you?
Comment 3 Marek Greško 2006-11-14 06:26:04 EST
Sure. I have defaultroute parameter for pppd. It is an ADSL connection and I
have DEFROUTE=yes in ifcfg-ppp0. Problem is, that the route is added, but only
as link to ppp0, no default gw is filled.

Default line of route -n         U     0      0        0 ppp0

Output of ip route list match 0/0
default dev ppp0  scope link 
Comment 4 Bug Zapper 2008-04-04 00:39:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-11-26 02:05:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-01-09 02:01:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Marek Greško 2009-01-10 06:57:43 EST
The previous state remains unchanged in Fedora 10 also.

Note You need to log in before you can comment on or make changes to this bug.